summaryrefslogtreecommitdiffstats
path: root/system/powerline-fonts
diff options
context:
space:
mode:
author Isaac Yu2023-03-02 23:34:52 +0100
committer Willy Sudiarto Raharjo2023-03-04 02:06:24 +0100
commita0bcb1895ab3e65242f5aa1136d1ed015eaefcaf (patch)
tree092ac46bae4259b3518a0c29cca0e6a8c47305de /system/powerline-fonts
parentfa703c3290eba4a3e6f3f3a204210f7312859fb1 (diff)
downloadslackbuilds-a0bcb1895ab3e65242f5aa1136d1ed015eaefcaf.tar.gz
system/powerline-fonts: Added (Fonts from Powerline)
Signed-off-by: bedlam <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/powerline-fonts')
-rw-r--r--system/powerline-fonts/README4
-rw-r--r--system/powerline-fonts/doinst.sh3
-rw-r--r--system/powerline-fonts/powerline-fonts.SlackBuild79
-rw-r--r--system/powerline-fonts/powerline-fonts.info10
-rw-r--r--system/powerline-fonts/slack-desc19
5 files changed, 115 insertions, 0 deletions
diff --git a/system/powerline-fonts/README b/system/powerline-fonts/README
new file mode 100644
index 0000000000..5af0f52294
--- /dev/null
+++ b/system/powerline-fonts/README
@@ -0,0 +1,4 @@
+This package contains fonts for Powerline, a statusline plugin for vim.
+
+For the Powerline plugin, please download powerline-status from
+SlackBuilds.org.
diff --git a/system/powerline-fonts/doinst.sh b/system/powerline-fonts/doinst.sh
new file mode 100644
index 0000000000..67a9f6f9cf
--- /dev/null
+++ b/system/powerline-fonts/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/fc-cache ]; then
+ /usr/bin/fc-cache -f
+fi
diff --git a/system/powerline-fonts/powerline-fonts.SlackBuild b/system/powerline-fonts/powerline-fonts.SlackBuild
new file mode 100644
index 0000000000..507d2fff20
--- /dev/null
+++ b/system/powerline-fonts/powerline-fonts.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/bash
+
+# Slackware build script for powerline-status
+
+# Copyright 2023 Isaac Yu <isaacyu1@isaacyu1.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Adapted from Dimitris Zlatinidis' powerline-status SlackBuild
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=powerline-fonts
+VERSION=${VERSION:-2.8.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+SRCNAM=powerline
+ARCH=noarch
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p "$PKG/usr/share/fontconfig/conf.default" "$PKG/usr/share/fonts/OTF" "$PKG/usr/share/fontconfig/conf.avail"
+cp -r "font/PowerlineSymbols.otf" "$PKG/usr/share/fonts/OTF/PowerlineSymbols.otf"
+cp -r "font/10-powerline-symbols.conf" "$PKG/usr/share/fontconfig/conf.avail/10-powerline-symbols.conf"
+ln -s "../conf.avail/10-powerline-symbols.conf" "$PKG/usr/share/fontconfig/conf.default/10-powerline-symbols.conf"
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README.rst LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/powerline-fonts/powerline-fonts.info b/system/powerline-fonts/powerline-fonts.info
new file mode 100644
index 0000000000..9bcacb5110
--- /dev/null
+++ b/system/powerline-fonts/powerline-fonts.info
@@ -0,0 +1,10 @@
+PRGNAM="powerline-fonts"
+VERSION="2.8.3"
+HOMEPAGE="https://github.com/powerline/powerline"
+DOWNLOAD="https://github.com/powerline/powerline/archive/2.8.3/powerline-2.8.3.tar.gz"
+MD5SUM="d524df603bf7144cc2ccd5dcbfc5e982"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Isaac Yu"
+EMAIL="isaacyu1@isaacyu1.com"
diff --git a/system/powerline-fonts/slack-desc b/system/powerline-fonts/slack-desc
new file mode 100644
index 0000000000..b9f7f2487a
--- /dev/null
+++ b/system/powerline-fonts/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+powerline-fonts: powerline-fonts (Fonts from Powerline)
+powerline-fonts:
+powerline-fonts: This package contains fonts for Powerline, a statusline plugin for
+powerline-fonts: vim.
+powerline-fonts:
+powerline-fonts: Homepage: https://github.com/powerline/powerline
+powerline-fonts:
+powerline-fonts:
+powerline-fonts:
+powerline-fonts:
+powerline-fonts: